import Flutter
import UIKit

public class SwiftFlutterFeedbackgeneratorPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_feedbackgenerator", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterFeedbackgeneratorPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    switch call.method{
    case "feedBack":
        if #available(iOS 10.0, *) {
        let impactFeedbackgenerator = UIImpactFeedbackGenerator(style: .light)
        impactFeedbackgenerator.prepare()
        impactFeedbackgenerator.impactOccurred()
        result("true")
        }else{
            result("not stand by")
        }
    default :
        result("null")
    }
  }
}
